/[suikacvs]/test/suikawebwww/style/html/xoxo.css
Suika

Contents of /test/suikawebwww/style/html/xoxo.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (hide annotations) (download) (as text)
Mon Jul 25 08:46:14 2005 UTC (20 years, 11 months ago) by wakaba
Branch: MAIN
Changes since 1.1: +9 -2 lines
File MIME type: text/css
xhtml2-dynamic.xbl: New

1 wakaba 1.1 @namespace xoxo 'http://suika.fam.cx/www/style/html/xoxo#';
2    
3     ol.xoxo {
4     display: block;
5     margin-left: 4em;
6 wakaba 1.2 border-style: none;
7     padding: 0;
8 wakaba 1.1 }
9    
10     ol.xoxo ol {
11     margin-top: 0;
12     margin-bottom: 0;
13     margin-left: 0;
14 wakaba 1.2 margin-right: 0;
15     border-style: none;
16     padding: 0 0 0 2em;
17 wakaba 1.1 }
18    
19     ol.xoxo li {
20     margin-top: 0;
21     margin-bottom: 0;
22     margin-left: 0;
23 wakaba 1.2 margin-right: 0;
24     border-style: none;
25     padding: 0;
26 wakaba 1.1 list-style-type: circle;
27     list-style-position: outside;
28     -moz-binding: url(/www/style/html/xoxo-dynamic.xbl#expandable-li);
29     }
30    
31     li[xoxo|enabled = 'true'] {
32     cursor: pointer;
33     }
34    
35     ol.xoxo li[xoxo|expanded = 'false'] {
36     list-style-type: disc;
37     }
38    
39     li[xoxo|enabled = 'true'] > ol {
40     cursor: auto;
41     }
42    
43     li[xoxo|enabled = 'true'] > ol[compact] {
44     display: none;
45     }
46    
47     /* License
48    
49     Copyright 2005 Wakaba <[email protected]>.
50    
51     This program is free software; you can redistribute it and/or modify
52     it under the terms of the GNU General Public License as published by
53     the Free Software Foundation; either version 2 of the License, or
54     (at your option) any later version.
55    
56     This program is distributed in the hope that it will be useful,
57     but WITHOUT ANY WARRANTY; without even the implied warranty of
58     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
59     GNU General Public License for more details.
60    
61     You should have received a copy of the GNU General Public License
62     along with this program; see the file COPYING. If not, write to
63     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
64     Boston, MA 02111-1307, USA.
65    
66     */
67    
68 wakaba 1.2 /* $Date: 2005/07/22 13:50:20 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24